summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave at gmail {dot} com>2010-05-13 00:41:01 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:41:01 +0200
commit716aef8e73830f2ee9e1d2fe4328e5916ee15352 (patch)
tree54b150b6a8091df0a6da7d21419d2a0d753b9d8d
parent5baee68c8ffb4e36c02dafb71f6b640beae8cd9c (diff)
downloadslackbuilds-716aef8e73830f2ee9e1d2fe4328e5916ee15352.tar.gz
slackbuilds-716aef8e73830f2ee9e1d2fe4328e5916ee15352.tar.xz
system/motion: Updated for version 3.2.11.1
-rw-r--r--system/motion/README6
-rw-r--r--system/motion/motion-3.2.11-offsett.patch13
-rw-r--r--system/motion/motion.SlackBuild40
-rw-r--r--system/motion/motion.info14
-rw-r--r--system/motion/slack-desc2
5 files changed, 33 insertions, 42 deletions
diff --git a/system/motion/README b/system/motion/README
index d6877f7633..6a8114e181 100644
--- a/system/motion/README
+++ b/system/motion/README
@@ -9,4 +9,8 @@ configuration files.
Optional dependencies are ffmpeg and postgresql.
Once installed, please be sure to read /usr/doc/motion-3.2.11/README for
-any configuration help.
+any configuration help. You will need to rename /etc/motion-dist.conf to
+/etc/motion.conf once you have made the changes you deem necessary.
+
+This build has not been tested with the optional postgresql included, but
+you're welcome to give it a go!
diff --git a/system/motion/motion-3.2.11-offsett.patch b/system/motion/motion-3.2.11-offsett.patch
deleted file mode 100644
index f3116abbc8..0000000000
--- a/system/motion/motion-3.2.11-offsett.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Index: motion-3.2.11/ffmpeg.c
-===================================================================
---- motion-3.2.11.orig/ffmpeg.c
-+++ motion-3.2.11/ffmpeg.c
-@@ -164,7 +164,7 @@ static int file_write(URLContext *h, uns
- return write(fd, buf, size);
- }
-
--static offset_t file_seek(URLContext *h, offset_t pos, int whence)
-+static int64_t file_seek(URLContext *h, int64_t pos, int whence)
- {
- int fd = (size_t)h->priv_data;
- return lseek(fd, pos, whence);
diff --git a/system/motion/motion.SlackBuild b/system/motion/motion.SlackBuild
index 8b6849acc0..a2ef48ea9e 100644
--- a/system/motion/motion.SlackBuild
+++ b/system/motion/motion.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for motion
# Copyright 2007 Martin Lefebvre <dadexter@sekurity.com>
+# Copyright 2009 Pierre Cazenave <pwcazenave> {at} gmail [dot] com
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=motion
-VERSION=3.2.11
+VERSION=3.2.11.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,11 +35,11 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -51,34 +52,31 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-# Patch to support newer ffmpeg-versions
-patch -p1 -i $CWD/$PRGNAM-3.2.11-offsett.patch
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --localstatedir=/var \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Let's not clobber the config file
mv $PKG/etc/motion-dist.conf $PKG/etc/motion-dist.conf.new
@@ -93,4 +91,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/motion/motion.info b/system/motion/motion.info
index 257f681156..3e48d68911 100644
--- a/system/motion/motion.info
+++ b/system/motion/motion.info
@@ -1,8 +1,10 @@
PRGNAM="motion"
-VERSION="3.2.11"
+VERSION="3.2.11.1"
HOMEPAGE="http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome"
-DOWNLOAD="http://downloads.sourceforge.net/motion/motion-3.2.11.tar.gz"
-MD5SUM="3a26c00f3250eacf6fa93c7a7e0249d9"
-MAINTAINER="Martin Lefebvre"
-EMAIL="dadexter@sekurity.com"
-APPROVED="dsomero"
+DOWNLOAD="http://sourceforge.net/projects/motion/files/motion%20-%203.2/motion-3.2.11.1.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="4e729f129d8f9b9abaed5121c3cd0037"
+MD5SUM_x86_64=""
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave <at> gmail {dot} com>"
+APPROVED="Erik Hanson"
diff --git a/system/motion/slack-desc b/system/motion/slack-desc
index 067c33941e..ad7a84f3b8 100644
--- a/system/motion/slack-desc
+++ b/system/motion/slack-desc
@@ -16,4 +16,4 @@ motion: Motion is a command line based tool. It has no graphical user
motion: interface. Everything is setup via the command line or via a set
motion: of configuration files.
motion:
-motion:
+motion: http://www.lavrsen.dk/foswiki/bin/view/Motion/WebHome